io.etcd.jetcd.api

## Class AuthGrpc

- java.lang.Object
- - io.etcd.jetcd.api.AuthGrpc

    @Generated(value="by gRPC proto compiler (version 1.27.1)",
               comments="Source: rpc.proto")
    public final class AuthGrpc
    extends Object

### Nested Class Summary

Nested Classes
`static class` `AuthGrpc.AuthBlockingStub`
`static class` `AuthGrpc.AuthFutureStub`
`static class` `AuthGrpc.AuthImplBase`
`static class` `AuthGrpc.AuthStub`

### Field Summary

Fields
`static String` `SERVICE_NAME`

### Method Summary

All Methods Static Methods Concrete Methods
`static io.grpc.MethodDescriptor<AuthDisableRequest,AuthDisableResponse>` `getAuthDisableMethod()`
`static io.grpc.MethodDescriptor<AuthEnableRequest,AuthEnableResponse>` `getAuthEnableMethod()`
`static io.grpc.MethodDescriptor<AuthenticateRequest,AuthenticateResponse>` `getAuthenticateMethod()`
`static io.grpc.MethodDescriptor<AuthRoleAddRequest,AuthRoleAddResponse>` `getRoleAddMethod()`
`static io.grpc.MethodDescriptor<AuthRoleDeleteRequest,AuthRoleDeleteResponse>` `getRoleDeleteMethod()`
`static io.grpc.MethodDescriptor<AuthRoleGetRequest,AuthRoleGetResponse>` `getRoleGetMethod()`
`static io.grpc.MethodDescriptor<AuthRoleGrantPermissionRequest,AuthRoleGrantPermissionResponse>` `getRoleGrantPermissionMethod()`
`static io.grpc.MethodDescriptor<AuthRoleListRequest,AuthRoleListResponse>` `getRoleListMethod()`
`static io.grpc.MethodDescriptor<AuthRoleRevokePermissionRequest,AuthRoleRevokePermissionResponse>` `getRoleRevokePermissionMethod()`
`static io.grpc.ServiceDescriptor` `getServiceDescriptor()`
`static io.grpc.MethodDescriptor<AuthUserAddRequest,AuthUserAddResponse>` `getUserAddMethod()`
`static io.grpc.MethodDescriptor<AuthUserChangePasswordRequest,AuthUserChangePasswordResponse>` `getUserChangePasswordMethod()`
`static io.grpc.MethodDescriptor<AuthUserDeleteRequest,AuthUserDeleteResponse>` `getUserDeleteMethod()`
`static io.grpc.MethodDescriptor<AuthUserGetRequest,AuthUserGetResponse>` `getUserGetMethod()`
`static io.grpc.MethodDescriptor<AuthUserGrantRoleRequest,AuthUserGrantRoleResponse>` `getUserGrantRoleMethod()`
`static io.grpc.MethodDescriptor<AuthUserListRequest,AuthUserListResponse>` `getUserListMethod()`
`static io.grpc.MethodDescriptor<AuthUserRevokeRoleRequest,AuthUserRevokeRoleResponse>` `getUserRevokeRoleMethod()`
`static AuthGrpc.AuthBlockingStub` `newBlockingStub(io.grpc.Channel channel)` Creates a new blocking-style stub that supports unary and streaming output calls on the service
`static AuthGrpc.AuthFutureStub` `newFutureStub(io.grpc.Channel channel)` Creates a new ListenableFuture-style stub that supports unary calls on the service
`static AuthGrpc.AuthStub` `newStub(io.grpc.Channel channel)` Creates a new async stub that supports all call types for the service

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SERVICE_NAME

    public static final String SERVICE_NAME

See Also:
  Constant Field Values

### Method Detail

#### getAuthEnableMethod

    public static io.grpc.MethodDescriptor<AuthEnableRequest,AuthEnableResponse> getAuthEnableMethod()

#### getAuthDisableMethod

    public static io.grpc.MethodDescriptor<AuthDisableRequest,AuthDisableResponse> getAuthDisableMethod()

#### getAuthenticateMethod

    public static io.grpc.MethodDescriptor<AuthenticateRequest,AuthenticateResponse> getAuthenticateMethod()

#### getUserAddMethod

    public static io.grpc.MethodDescriptor<AuthUserAddRequest,AuthUserAddResponse> getUserAddMethod()

#### getUserGetMethod

    public static io.grpc.MethodDescriptor<AuthUserGetRequest,AuthUserGetResponse> getUserGetMethod()

#### getUserListMethod

    public static io.grpc.MethodDescriptor<AuthUserListRequest,AuthUserListResponse> getUserListMethod()

#### getUserDeleteMethod

    public static io.grpc.MethodDescriptor<AuthUserDeleteRequest,AuthUserDeleteResponse> getUserDeleteMethod()

#### getUserChangePasswordMethod

    public static io.grpc.MethodDescriptor<AuthUserChangePasswordRequest,AuthUserChangePasswordResponse> getUserChangePasswordMethod()

#### getUserGrantRoleMethod

    public static io.grpc.MethodDescriptor<AuthUserGrantRoleRequest,AuthUserGrantRoleResponse> getUserGrantRoleMethod()

#### getUserRevokeRoleMethod

    public static io.grpc.MethodDescriptor<AuthUserRevokeRoleRequest,AuthUserRevokeRoleResponse> getUserRevokeRoleMethod()

#### getRoleAddMethod

    public static io.grpc.MethodDescriptor<AuthRoleAddRequest,AuthRoleAddResponse> getRoleAddMethod()

#### getRoleGetMethod

    public static io.grpc.MethodDescriptor<AuthRoleGetRequest,AuthRoleGetResponse> getRoleGetMethod()

#### getRoleListMethod

    public static io.grpc.MethodDescriptor<AuthRoleListRequest,AuthRoleListResponse> getRoleListMethod()

#### getRoleDeleteMethod

    public static io.grpc.MethodDescriptor<AuthRoleDeleteRequest,AuthRoleDeleteResponse> getRoleDeleteMethod()

#### getRoleGrantPermissionMethod

    public static io.grpc.MethodDescriptor<AuthRoleGrantPermissionRequest,AuthRoleGrantPermissionResponse> getRoleGrantPermissionMethod()

#### getRoleRevokePermissionMethod

    public static io.grpc.MethodDescriptor<AuthRoleRevokePermissionRequest,AuthRoleRevokePermissionResponse> getRoleRevokePermissionMethod()

#### newStub

    public static AuthGrpc.AuthStub newStub(io.grpc.Channel channel)

Creates a new async stub that supports all call types for the service

#### newBlockingStub

    public static AuthGrpc.AuthBlockingStub newBlockingStub(io.grpc.Channel channel)

Creates a new blocking-style stub that supports unary and streaming output calls on the service

#### newFutureStub

    public static AuthGrpc.AuthFutureStub newFutureStub(io.grpc.Channel channel)

Creates a new ListenableFuture-style stub that supports unary calls on the service

#### getServiceDescriptor

    public static io.grpc.ServiceDescriptor getServiceDescriptor()